<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* playlist-form-usage.twig */
class __TwigTemplate_51e3abc0434bceab88759baa3c40baeee678ac32c36d3b9a2d3c1f4aa7063e1f extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 26
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 24
        $context["randomId"] = twig_random($this->env);
        // line 27
        $context["forms"] = $this->loadTemplate("forms.twig", "playlist-form-usage.twig", 27)->unwrap();
        // line 28
        $context["inline"] = $this->loadTemplate("inline.twig", "playlist-form-usage.twig", 28)->unwrap();
        // line 26
        $this->parent = $this->loadTemplate("form-base.twig", "playlist-form-usage.twig", 26);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 30
    public function block_formTitle($context, array $blocks = [])
    {
        // line 31
        echo "    ";
        $context["playlistName"] = $this->getAttribute(($context["playlist"] ?? null), "name", []);
        // line 32
        echo "    ";
        /* xgettext:no-php-format */        echo strtr(__("Usage Report for %playlistName%"), array("%playlistName%" => ($context["playlistName"] ?? null), ));
    }

    // line 35
    public function block_formButtons($context, array $blocks = [])
    {
        // line 36
        echo "    ";
        echo __("Close");
        echo ", XiboDialogClose()
";
    }

    // line 39
    public function block_callBack($context, array $blocks = [])
    {
        echo "usageFormOpen";
    }

    // line 41
    public function block_formHtml($context, array $blocks = [])
    {
        // line 42
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"active\"><a href=\"#displays\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 45
        echo __("Displays");
        echo "</span></a></li>
                <li><a href=\"#layouts\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 46
        echo __("Layouts");
        echo "</span></a></li>
            </ul>
            <div class=\"tab-content\">
                <div class=\"tab-pane active\" id=\"displays\">
                    <div class=\"row\">
                        <div class=\"col-md-12\">
                            <p class=\"alert alert-info\">
                                ";
        // line 53
        echo __("If the playlist is used in scheduled events it is shown below. To restrict to a specific time enter a date in the filter below.");
        // line 54
        echo "                            </p>
                        </div>
                    </div>
                    <div class=\"XiboGrid\" id=\"";
        // line 57
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"usageReport\">
                        <div class=\"row\">
                            <div class=\"col-md-12\">
                                <div class=\"XiboFilter\">
                                    <div class=\"FilterDiv\" id=\"Filter\">
                                        <form class=\"form-inline\" id=\"usageReportForm\">
                                            ";
        // line 63
        ob_start(function () { return ''; });
        echo __("Date");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                                            <input type=\"hidden\" name=\"playlistEventDate\" id=\"playlistEventDate\" />
                                            <div class=\"input-group\">
                                                <span class=\"input-group-addon\">";
        // line 66
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</span>
                                                <input class=\"form-control\" name=\"playlistEventDateLink\" type=\"text\" id=\"playlistEventDateLink\" data-link-field=\"playlistEventDate\" data-link-format=\"yyyy-mm-dd hh:ii:ss\" readonly/>
                                                <span id=\"dateClearButton\" class=\"input-group-addon\" role=\"button\">X</span>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class=\"row\">
                            <div class=\"col-md-12\">
                                <table id=\"usageReportTable\" class=\"table table-bordered membersTable\" data-playlist-id=\"";
        // line 77
        echo twig_escape_filter($this->env, $this->getAttribute(($context["playlist"] ?? null), "playlistId", []), "html", null, true);
        echo "\">
                                    <thead>
                                        <tr>
                                            <th>";
        // line 80
        echo __("ID");
        echo "</th>
                                            <th>";
        // line 81
        echo __("Display");
        echo "</th>
                                            <th>";
        // line 82
        echo __("Description");
        echo "</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class=\"tab-pane\" id=\"layouts\">
                    <div class=\"XiboGrid\" id=\"";
        // line 93
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"usageReportLayouts\">
                        <div class=\"row\">
                            <div class=\"col-md-12\">
                                <table id=\"usageReportLayoutsTable\" class=\"table table-bordered\" data-playlist-id=\"";
        // line 96
        echo twig_escape_filter($this->env, $this->getAttribute(($context["playlist"] ?? null), "playlistId", []), "html", null, true);
        echo "\">
                                    <thead>
                                    <tr>
                                        <th>";
        // line 99
        echo __("ID");
        echo "</th>
                                        <th>";
        // line 100
        echo __("Layout");
        echo "</th>
                                        <th>";
        // line 101
        echo __("Description");
        echo "</th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "playlist-form-usage.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  184 => 101,  180 => 100,  176 => 99,  170 => 96,  164 => 93,  150 => 82,  146 => 81,  142 => 80,  136 => 77,  122 => 66,  118 => 64,  114 => 63,  105 => 57,  100 => 54,  98 => 53,  88 => 46,  84 => 45,  79 => 42,  76 => 41,  70 => 39,  63 => 36,  60 => 35,  55 => 32,  52 => 31,  49 => 30,  44 => 26,  42 => 28,  40 => 27,  38 => 24,  32 => 26,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "playlist-form-usage.twig", "/home/mgatv524/public_html/edurocha/views/playlist-form-usage.twig");
    }
}
